Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.sasl
Class PolicyUtils

    java.lang.Object
      org.jivesoftware.openfire.sasl.PolicyUtils

    public final class PolicyUtils

extends Object

Static class that contains utilities for dealing with Java SASL security policy-related properties.

Author:
  Rosanna Lee

Field Summary
`static int` | `FORWARD_SECRECY`
`static int` | `NOACTIVE`
`static int` | `NOANONYMOUS`
`static int` | `NODICTIONARY`
`static int` | `NOPLAINTEXT`
`static int` | `PASS_CREDENTIALS`

Method Summary
`static boolean` | `checkPolicy(int flags, Map props)` Determines whether a mechanism's characteristics, as defined in flags, fits the security policy properties found in props.
`static String[]` | `filterMechs(String[] mechs, int[] policies, Map props)` Given a list of mechanisms and their characteristics, select the subset that conforms to the policies defined in props.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOPLAINTEXT

    public static final int NOPLAINTEXT

See Also:
  Constant Field Values

### NOACTIVE

    public static final int NOACTIVE

See Also:
  Constant Field Values

### NODICTIONARY

    public static final int NODICTIONARY

See Also:
  Constant Field Values

### FORWARD_SECRECY

    public static final int FORWARD_SECRECY

See Also:
  Constant Field Values

### NOANONYMOUS

    public static final int NOANONYMOUS

See Also:
  Constant Field Values

### PASS_CREDENTIALS

    public static final int PASS_CREDENTIALS

See Also:
  Constant Field Values

Method Detail

### checkPolicy

    public static boolean checkPolicy(int flags,
                                      Map props)

  Determines whether a mechanism's characteristics, as defined in flags, fits the security policy properties found in props.

  Parameters:
    `flags` - The mechanism's security characteristics
    `props` - The security policy properties to check
  Returns:
    true if passes; false if fails

### filterMechs

    public static String[] filterMechs(String[] mechs,
                                       int[] policies,
                                       Map props)

  Given a list of mechanisms and their characteristics, select the subset that conforms to the policies defined in props. Useful for SaslXXXFactory.getMechanismNames(props) implementations.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.